{
  "expo": {
    "name": "Taskeep",
    "main": "index.tsx",
    "slug": "taskeep",
    "version": "1.1.0",
    "orientation": "portrait",
    "icon": "./assets/images/icon.png",
    "scheme": "taskeep",
    "userInterfaceStyle": "automatic",
    "newArchEnabled": true,
    "ios": {
      "supportsTablet": true
    },
    "android": {
      "adaptiveIcon": {
        "foregroundImage": "./assets/images/adaptive-icon.png",
        "backgroundColor": "#ffffff"
      },
      "edgeToEdgeEnabled": true,
      "package": "com.xaviscript.taskeep",
      "versionCode": 4
    },
    "web": {
      "bundler": "metro",
      "output": "static",
      "favicon": "./assets/images/favicon.png"
    },
    "plugins": [
      "expo-router",
      [
        "expo-splash-screen",
        {
          "image": "./assets/images/splash-icon.png",
          "imageWidth": 200,
          "resizeMode": "contain",
          "backgroundColor": "#ffffff",
          "dark": {
            "image": "./assets/images/splash-icon.png",
            "backgroundColor": "#232323"
          }
        }
      ],
      [
        "expo-sqlite",
        {
          "enableFTS": false,
          "useSQLCipher": false,
          "android": {
            "enableFTS": false,
            "useSQLCipher": false
          },
          "ios": {
            "customBuildFlags": [
              "-DSQLITE_ENABLE_DBSTAT_VTAB=1 -DSQLITE_ENABLE_SNAPSHOT=1"
            ]
          }
        }
      ],
      [
        "expo-build-properties",
        {
          "android": {
            "packagingOptions": {
              "pickFirst": [
                "**/libc++_shared.so"
              ]
            }
          }
        }
      ],
      [
        "react-native-android-widget",
        {
          "fonts": [
            "./assets/fonts/material.ttf"
          ],
          "widgets": [
            {
              "name": "TaskList",
              "label": "Task list widget",
              "minWidth": "320dp",
              "minHeight": "120dp",
              "targetCellWidth": 5,
              "targetCellHeight": 2,
              "description": "Task list widget",
              "previewImage": "./assets/images/widget.png",
              "updatePeriodMillis": 600000
            }
          ]
        }
      ],
      [
        "expo-notifications",
        {
          "icon": "./assets/images/notification-icon.png"
        }
      ]
    ],
    "experiments": {
      "typedRoutes": true
    }
  }
}